﻿using System;
using System.Collections.ObjectModel;
using System.Windows;

namespace xamDataGridFixedRowsIssue
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void ButtonClick(object sender, RoutedEventArgs e)
        {
            ObservableCollection<ReportResultItem> dataSource = new ObservableCollection<ReportResultItem>();
            int rows = new Random().Next(100);

            for (int i = 0; i < rows; i++)
            {
                dataSource.Add(new ReportResultItem
                                   {
                                       ClientName = "Client # " + i,
                                       Date1Balance = 252,
                                       IsSummaryRow = false
                                   });
            }

            if (dataSource.Count > 0) dataSource[dataSource.Count - 1].IsSummaryRow = true;
            if (dataSource.Count > 1) dataSource[dataSource.Count - 2].IsSummaryRow = true;
            if (dataSource.Count > 2) dataSource[dataSource.Count - 3].IsSummaryRow = true;
            xamReportViewGrid.DataSource = dataSource;
        }
    }

    //public class MainWindowViewModel: INotifyPropertyChanged
    //{
    //    public MainWindowViewModel()
    //    {
    //        RefreshCommand = 
    //    }
    //    public ICommand RefreshCommand { get; set; }
    //    public event PropertyChangedEventHandler PropertyChanged;
    //}
}
